Package io.strimzi.systemtest.kafkaclients

## Class AbstractKafkaClient<C extends AbstractKafkaClient.Builder<C>>

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.AbstractKafkaClient<C>

- Direct Known Subclasses:
    `BasicExternalKafkaClient`, `InternalKafkaClient`, `OauthExternalKafkaClient`, `TracingExternalKafkaClient`

      public abstract class AbstractKafkaClient<C extends AbstractKafkaClient.Builder<C>>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractKafkaClient.Builder<SELF extends AbstractKafkaClient.Builder<SELF>>` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBootstrapServerFromStatus()` |
    `String` | `getCaCertName()` |
    `String` | `getConsumerGroup()` |
    `ConsumerProperties` | `getConsumerProperties()` |
    `String` | `getKafkaUsername()` |
    `String` | `getListenerName()` |
    `int` | `getMessageCount()` |
    `Integer` | `getPartition()` |
    `ProducerProperties` | `getProducerProperties()` |
    `String` | `getSecretPrefix()` |
    `org.apache.kafka.common.security.auth.SecurityProtocol` | `getSecurityProtocol()` |
    `String` | `getTopicName()` |
    `void` | `setMessageCount​(int messageCount)` |
    `String` | `toString()` |
    `void` | `verifyProducedAndConsumedMessages​(int producedMessages, int consumedMessages)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setMessageCount

          public void setMessageCount​(int messageCount)

    - #### verifyProducedAndConsumedMessages

          public void verifyProducedAndConsumedMessages​(int producedMessages,
                                                        int consumedMessages)

    - #### getProducerProperties

          public ProducerProperties getProducerProperties()

    - #### getConsumerProperties

          public ConsumerProperties getConsumerProperties()

    - #### getBootstrapServerFromStatus

          public String getBootstrapServerFromStatus()

    - #### getTopicName

          public String getTopicName()

    - #### getPartition

          public Integer getPartition()

    - #### getMessageCount

          public int getMessageCount()

    - #### getConsumerGroup

          public String getConsumerGroup()

    - #### getKafkaUsername

          public String getKafkaUsername()

    - #### getSecurityProtocol

          public org.apache.kafka.common.security.auth.SecurityProtocol getSecurityProtocol()

    - #### getCaCertName

          public String getCaCertName()

    - #### getListenerName

          public String getListenerName()

    - #### getSecretPrefix

          public String getSecretPrefix()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`